## org.apache.solr.client.solrj.request
Class CollectionAdminRequest.CreateAlias

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CollectionAdminRequest
              org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateAlias

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest

    public static class CollectionAdminRequest.CreateAlias

extends CollectionAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.Reload, CollectionAdminRequest.SplitShard`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected String` `aliasedCollections`

Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`action, collection`

Constructor Summary
`CollectionAdminRequest.CreateAlias()`

Method Summary
`String` `getAliasedCollections()`
`SolrParams` `getParams()`
`void` `setAliasedCollections(String alias)`

Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`createAlias, createCollection, createCollection, createCollection, createCollection, createShard, createShard, deleteAlias, deleteCollection, deleteShard, getContentStreams, process, reloadCollection, setAction, setCollectionName, splitShard, splitShard`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aliasedCollections

    protected String aliasedCollections

Constructor Detail

### CollectionAdminRequest.CreateAlias

    public CollectionAdminRequest.CreateAlias()

Method Detail

### setAliasedCollections

    public void setAliasedCollections(String alias)

### getAliasedCollections

    public String getAliasedCollections()

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CollectionAdminRequest`

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.